import server from './server';
import knex from '../knex_router';
import colors from 'colors/safe';

server.get('/', function(req, res) {
    console.log('Connectting to '+req.url);
    res.send(`<h1>Hello, world</h1>
    
    Hello, world ! This is server talking to you live on port `+port+' !');
});

server.get('/db/:table', function(req, res) {
    knex.select().from(req.params.table).then(function(table) {
        res.write(JSON.stringify(table,null,2));
        res.end();
    });
});

// define port server is to listen on
const port = process.env.PORT || 3000;

server.listen(port, () => console.log(colors.blue('Express server running on port', port)));